<div class="plc facroty-manager">
    <div class="plc-menu">
        工厂管理
    </div>
    <div class="plc-content">
        <div class="row">
            <div ng-if="config.canEdit" class="col-sm-12 plc-choose">
                <div class="tab-content">
                    <div class="one-line-btns">
                        <button class="btn btn-primary"
                                ng-click="addRows();">新增</button>
                        <input type="text" class="one-line-row form-control"
                               ng-model="config.addRowsNum">
                        <label class="control-label">行</label>
                    </div>
                    
                    <!--<div class="one-line-btns">-->
                        <!--<button ng-click="checkAndDeleteSelectedRows();" ng-disabled="config.btnDisabledDelete" class="btn btn-primary">删除</button>-->
                    <!--</div>-->
                    <div class="factory-save-btn pull-right one-line-btns">
                        <button class="btn btn-primary" ng-click="saveAllAcitons();">保存</button>
                    </div>
                </div>

            </div>
            <div class="col-sm-12">
                <div class="andon-grid">
                <div ui-grid="gridFactory" class="myGrid"
                     ui-grid-edit ui-grid-cellnav  ui-grid-validate ui-grid-resize-columns
                     ui-grid-auto-resize></div>
                <!--ui-grid-pagination ui-grid-selection-->
                    </div>
            </div>
        </div>
    </div>
</div>